SystemOrganization addCategory: #'AL-Tests-Html5'!

TestCase subclass: #ALHtml5RenderingTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-Html5'!

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/21/2011 00:03'!
expect: aString from: aBlock
	| canvas stream compare |
	compare := aString reading.
	stream := 	[:actual || expected |
				expected := compare get.
				self assert: actual = expected] 
					writing.
	canvas := ALHtml5Canvas on: stream.
	aBlock value: canvas.
	canvas flush.
	self should: [compare get] raise: Incomplete.
! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/11/2012 10:40'!
testAttributeWithEntity
	self 
		expect: '<body id="abc&amp;def"></body>' 
		from: [ :canvas | canvas body id: 'abc&def' ]! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/20/2011 11:11'!
testDoubleCommaAttribute
	self
		expect: '<input accept="v1,v2">'
		from: [ :canvas | 
			(canvas input)
				accept: 'v1';
				accept: 'v2' ]! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/21/2011 00:03'!
testDoubleScalarAttribute
	self
		expect: '<p id="v2"></p>'
		from: [ :canvas | 
			(canvas p)
				id: 'v1';
				id: 'v2' ]! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/21/2011 00:03'!
testDoubleSpaceAttribute
	self
		expect: '<p class="v1 v2"></p>'
		from: [ :canvas | 
			(canvas p)
				class: 'v1';
				class: 'v2' ]! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/21/2011 00:03'!
testEmptySiblingTags
	self
		expect: '<p></p><b></b>'
		from: [ :canvas | 
			canvas
				p;
				b ]! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/19/2011 15:08'!
testNestedEmptyTags
	self 
		expect: '<html><body></body></html>' 
		from: [ :canvas | canvas html with: [ canvas body ] ]! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/21/2011 00:03'!
testNestedTags
	self
		expect: '<html manifest="griffle"><body></body></html>'
		from: [ :canvas | 
			(canvas html)
				manifest: 'griffle';
				with: [ canvas body ] ]! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/19/2011 15:11'!
testNestedTags2
	self 
		expect: '<html><body id="plonk"></body></html>' 
		from: [ :canvas | canvas html with: [ canvas body id: 'plonk' ] ]! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/21/2011 00:03'!
testSiblingTags
	self
		expect: '<p id="f1"></p><b></b>'
		from: [ :canvas | 
			canvas p id: 'f1'.
			canvas b ]! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/21/2011 00:03'!
testSingleEmptyTag
	self expect: '<body></body>' from: [ :canvas | canvas body ]! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/21/2011 00:03'!
testSingleTag
	self expect: '<body id="x123"></body>' from: [ :canvas | canvas body id: 'x123' ]! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/19/2011 17:26'!
testText
	self
		expect: 'plonk'
		from: [:html | html text: 'plonk']! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/11/2012 08:53'!
testTextWithEntity
	self
		expect: 'plonk&amp;griffle'
		from: [:html | html text: 'plonk&griffle']! !

!ALHtml5RenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/19/2011 17:19'!
testWithText
	self
		expect: '<p>plonk</p>'
		from: [:html | html p with: 'plonk']! !
